<?xml version="1.0" encoding="UTF-8"?>
<!-- version="1.1.1" -->
<definitions 
	name="omds3Services-1-1-0" 
	xmlns:os="urn:omds3Services-1-1-0"
	targetNamespace="urn:omds3Services-1-1-0"
	xmlns:cst="urn:omds3CommonServiceTypes-1-1-0" 
	xmlns:ost="urn:omds3ServiceTypes-1-1-0" 
	xmlns="http://schemas.xmlsoap.org/wsdl/"
	xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" 
	xmlns:ns="http://www.w3.org/2001/XMLSchema"
	xmlns:ns1="http://schemas.xmlsoap.org/soap/encoding/" 
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap12/"
	xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
>
	
	<types>
		<schema xmlns="http://www.w3.org/2001/XMLSchema">
			<import namespace="urn:omds3ServiceTypes-1-1-0" schemaLocation="omds3ServiceTypes.xsd" />
		</schema>
	</types>

	<message name="loginRequest">
		<part name="parameters" element="ost:loginRequest"/>
	</message>
	<message name="loginResponse">
		<part name="parameters" element="ost:loginResponse"/>
	</message>


	<message name="getUserDataRequest">
		<part name="parameters" element="ost:getUserDataRequest"/>
	</message>
	<message name="getUserDataResponse">
		<part name="parameters" element="ost:getUserDataResponse"/>
	</message>

	
	<message name="getOMDSPackageListRequest">
		<part name="parameters" element="ost:getOMDSPackageListRequest"/>
	</message>
	<message name="getOMDSPackageListResponse">
		<part name="parameters" element="ost:getOMDSPackageListResponse" />
	</message>


	<message name="getOMDSPackageRequest">
		<part name="parameters" element="ost:getOMDSPackageRequest"/>
	</message>
	<message name="getOMDSPackageResponse">
		<part name="parameters" element="ost:getOMDSPackageResponse" />
	</message>
	
	<!-- Vertragsbezogene Dokumente -->
	
	<message name="getArcImageInfosRequest">
		<part name="parameters" element="ost:getArcImageInfosRequest"/>
	</message>
	<message name="getArcImageInfosResponse">
		<part name="parameters" element="ost:getArcImageInfosResponse" />
	</message>
	<message name="getArcImageRequest">
		<part name="parameters" element="ost:getArcImageRequest"/>
	</message>
	<message name="getArcImageResponse">
		<part name="parameters" element="ost:getArcImageResponse" />
	</message>
	
	<!-- Deep Links -->
	
	<message name="deepLinkClaimRequest">
		<part name="parameters" element="ost:getDeepLinkClaimRequest"/>
	</message>
	<message name="deepLinkClaimResponse">
		<part name="parameters" element="ost:getDeepLinkClaimResponse" />
	</message>
	
	<message name="deepLinkPartnerRequest">
		<part name="parameters" element="ost:getDeepLinkPartnerRequest"/>
	</message>
	<message name="deepLinkPartnerResponse">
		<part name="parameters" element="ost:getDeepLinkPartnerResponse" />
	</message>
	<message name="deepLinkOfferRequest">
		<part name="parameters" element="ost:getDeepLinkOfferRequest"/>
	</message>
	<message name="deepLinkOfferResponse">
		<part name="parameters" element="ost:getDeepLinkOfferResponse" />
	</message>
	<message name="deepLinkPolicyRequest">
		<part name="parameters" element="ost:getDeepLinkPolicyRequest"/>
	</message>
	<message name="deepLinkPolicyResponse">
		<part name="parameters" element="ost:getDeepLinkPolicyResponse" />
	</message>
	<!-- Schaden -->
	<message name="CreateClaimRequestMsg">
		<part name="parameters" element="ost:CreateClaimRequest"/>
	</message>
	<message name="CreateClaimResponseMsg">
		<part name="parameters" element="ost:CreateClaimResponse" />
	</message>
	
	<message name="InitiateClaimRequestMsg">
		<part name="parameters" element="ost:InitiateClaimRequest"/>
	</message>
	<message name="InitiateClaimResponseMsg">
		<part name="parameters" element="ost:InitiateClaimResponse" />
	</message>
	
	
	<message name="AddDocToClaimRequestMsg">
		<part name="parameters" element="ost:AddDocToClaimRequest"/>
	</message>
	<message name="AddDocToClaimResponseMsg">
		<part name="parameters" element="ost:AddDocToClaimResponse" />
	</message>
		
	<message name="GetClaimRequestMsg">
		<part name="parameters" element="ost:GetClaimRequest"/>
	</message>
	<message name="GetClaimResponseMsg">
		<part name="parameters" element="ost:GetClaimResponse" />
	</message>	
	<message name="GetClaimLightRequestMsg">
		<part name="parameters" element="ost:GetClaimLightRequest"/>
	</message>
	<message name="GetClaimLightResponseMsg">
		<part name="parameters" element="ost:GetClaimLightResponse" />
	</message>	
	<message name="GetNumberOfDocumentsRequestMsg">
		<part name="parameters" element="ost:GetNumberOfDocumentsRequest"/>
	</message>
	<message name="GetNumberOfDocumentsResponseMsg">
		<part name="parameters" element="ost:GetNumberOfDocumentsResponse" />
	</message>	
	<message name="GetDocumentInfosRequestMsg">
		<part name="parameters" element="ost:GetDocumentInfosRequest"/>
	</message>
	<message name="GetDocumentInfosResponseMsg">
		<part name="parameters" element="ost:GetDocumentInfosResponse" />
	</message>	
	<message name="SearchClaimRequestMsg">
		<part name="parameters" element="ost:SearchClaimRequest"/>
	</message>
	<message name="SearchClaimResponseMsg">
		<part name="parameters" element="ost:SearchClaimResponse" />
	</message>		
	
	<message name="GetLossEventListRequestMsg">
		<part name="parameters" element="ost:LossEventListRequest"/>
	</message>
	<message name="GetLossEventListResponseMsg">
		<part name="parameters" element="ost:LossEventListResponse" />
	</message>		
	<message name="GetChangedClaimsListRequestMsg">
		<part name="parameters" element="ost:ChangedClaimsListRequest"/>
	</message>
	<message name="GetChangedClaimsListResponseMsg">
		<part name="parameters" element="ost:ChangedClaimsListResponse" />
	</message>		
	
	
	<message name="DeclareEndpointRequestMsg">
		<part name="parameters" element="ost:DeclareEndpointRequest"/>
	</message>
	<message name="DeclareEndpointResponseMsg">
		<part name="parameters" element="ost:DeclareEndpointResponse" />
	</message>	
	
	
	<!-- Fehler -->	
	<message name="ServiceFaultMsg">
		<part name="parameters" element="cst:serviceFault" />
	</message>
	
	
	<portType name="omdsServicePortType">

		<operation name="login">
			<input name="loginRequest" message="os:loginRequest" />
			<output name="loginResponse" message="os:loginResponse" />
            <fault name="loginFault" message="os:ServiceFaultMsg" />
        </operation>

		<operation name="getUserData">
			<input name="getUserDataRequest" message="os:getUserDataRequest" />
			<output name="getUserDataResponse" message="os:getUserDataResponse" />
			<fault name="getUserDataFault" message="os:ServiceFaultMsg" />
		</operation>
	
		<operation name="getOMDSPackageList">
			<input name="getOMDSPackageListRequest" message="os:getOMDSPackageListRequest" />
			<output name="getOMDSPackageListResponse" message="os:getOMDSPackageListResponse" />
			<fault name="getOMDSPackageListFault" message="os:ServiceFaultMsg" />
		</operation>

		<operation name="getOMDSPackage">
			<input name="getOMDSPackageRequest" message="os:getOMDSPackageRequest" />
			<output name="getOMDSPackageResponse" message="os:getOMDSPackageResponse" />
			<fault name="getOMDSPackageFault" message="os:ServiceFaultMsg" />
		</operation>

		<operation name="getArcImageInfos">
			<input name="getArcImageInfosRequest" message="os:getArcImageInfosRequest" />
			<output name="getArcImageInfosResponse" message="os:getArcImageInfosResponse" />
			<fault name="getArcImageInfosFault" message="os:ServiceFaultMsg" />
		</operation>

		<operation name="getArcImage">
			<input name="getArcImageRequest" message="os:getArcImageRequest" />
			<output name="getArcImageResponse" message="os:getArcImageResponse" />
			<fault name="getArcImageFault" message="os:ServiceFaultMsg" />
		</operation>

		<operation name="deepLinkClaim">
			<input name="deepLinkClaimRequest" message="os:deepLinkClaimRequest" />
			<output name="deepLinkClaimResponse" message="os:deepLinkClaimResponse" />
			<fault name="deepLinkClaimFault" message="os:ServiceFaultMsg" />
		</operation>

		<operation name="deepLinkPartner">
			<input name="deepLinkPartnerRequest" message="os:deepLinkPartnerRequest" />
			<output name="deepLinkPartnerResponse" message="os:deepLinkPartnerResponse" />
			<fault name="deepLinkPartnerFault" message="os:ServiceFaultMsg" />
		</operation>

		<operation name="deepLinkOffer">
			<input name="deepLinkOfferRequest" message="os:deepLinkOfferRequest" />
			<output name="deepLinkOfferResponse" message="os:deepLinkOfferResponse" />
			<fault name="deepLinkOfferFault" message="os:ServiceFaultMsg" />
		</operation>

		<operation name="deepLinkPolicy">
			<input name="deepLinkPolicyRequest" message="os:deepLinkPolicyRequest" />
			<output name="deepLinkPolicyResponse" message="os:deepLinkPolicyResponse" />
			<fault name="deepLinkPolicyFault" message="os:ServiceFaultMsg" />
		</operation>

		<operation name="createClaim">
			<input name="CreateClaimRequestPort" message="os:CreateClaimRequestMsg" />
			<output name="CreateClaimResponsePort" message="os:CreateClaimResponseMsg" />
			<fault name="CreateClaimFault" message="os:ServiceFaultMsg" />
		</operation>
		
		<operation name="initiateClaim">
			<input name="InitiateClaimRequestPort" message="os:InitiateClaimRequestMsg" />
			<output name="InitiateClaimResponsePort" message="os:InitiateClaimResponseMsg" />
			<fault name="InitiateClaimFault" message="os:ServiceFaultMsg" />
		</operation>
	
		<operation name="addDocToClaim">
			<input name="AddDocToClaimRequestPort" message="os:AddDocToClaimRequestMsg" />
			<output name="AddDocToClaimResponsePort" message="os:AddDocToClaimResponseMsg" />
			<fault name="AddDocToClaimFault" message="os:ServiceFaultMsg" />
		</operation>
		<operation name="getClaim">
			<input name="GetClaimRequestPort" message="os:GetClaimRequestMsg" />
			<output name="GetClaimResponsePort" message="os:GetClaimResponseMsg" />
			<fault name="GetClaimFault" message="os:ServiceFaultMsg" />
		</operation>
		<operation name="getClaimLight">
			<input name="GetClaimLightRequestPort" message="os:GetClaimLightRequestMsg" />
			<output name="GetClaimLightResponsePort" message="os:GetClaimLightResponseMsg" />
			<fault name="GetClaimLightFault" message="os:ServiceFaultMsg" />
		</operation>
		<operation name="getNumberOfDocuments">
			<input name="GetNumberOfDocumentsRequestPort" message="os:GetNumberOfDocumentsRequestMsg" />
			<output name="GetNumberOfDocumentsResponsePort" message="os:GetNumberOfDocumentsResponseMsg" />
			<fault name="GetNumberOfDocumentsFault" message="os:ServiceFaultMsg" />
		</operation>
		<operation name="getDocumentInfos">
			<input name="GetDocumentInfosRequestPort" message="os:GetDocumentInfosRequestMsg" />
			<output name="GetDocumentInfosResponsePort" message="os:GetDocumentInfosResponseMsg" />
			<fault name="GetDocumentInfosFault" message="os:ServiceFaultMsg" />
		</operation>
		<operation name="searchClaim">
			<input name="SearchClaimRequestPort" message="os:SearchClaimRequestMsg" />
			<output name="SearchClaimResponsePort" message="os:SearchClaimResponseMsg" />
			<fault name="SearchClaimFault" message="os:ServiceFaultMsg" />
		</operation>
		<operation name="getLossEventList">
			<input name="LossEventListRequestPort" message="os:GetLossEventListRequestMsg" />
			<output name="LossEventListResponsePort" message="os:GetLossEventListResponseMsg" />
			<fault name="LossEventListFault" message="os:ServiceFaultMsg" />
		</operation>
		<operation name="getChangedClaimsList">
			<input name="ChangedClaimsListPort" message="os:GetChangedClaimsListRequestMsg" />
			<output name="ChangedClaimsListResponsePort" message="os:GetChangedClaimsListResponseMsg" />
			<fault name="ChangedClaimsListFault" message="os:ServiceFaultMsg" />
		</operation>		
		<operation name="declareEndpoint">
			<input name="DeclareEndpointRequestPort" message="os:DeclareEndpointRequestMsg" />
			<output name="DeclareEndpointResponsePort" message="os:DeclareEndpointResponseMsg" />
			<fault name="DeclareEndpointFault" message="os:ServiceFaultMsg" />
		</operation>

	</portType>

	<binding name="omdsServicePortBinding" type="os:omdsServicePortType">
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http" />
		

		<!-- Referenz auf jeweilige Security Policy für alle Methoden, in diesem Fall eine UsernameToken-Policy -->
 		<wsp:PolicyReference URI="#OMDSUsernameTokenPolicy" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy"/>
		
		
		<operation name="login">
			<soap:operation soapAction="urn:login" style="document" />
			<input name="loginRequest">
				<soap:body use="literal" />
			</input>
			<output name="loginResponse">
				<soap:body use="literal" />
			</output>
			<fault name="loginFault">
				<soap:fault name="loginFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="getUserData">
			<soap:operation soapAction="urn:getUserData" style="document" />
			<input name="getUserDataRequest">
				<soap:body use="literal" />
			</input>
			<output name="getUserDataResponse">
				<soap:body use="literal" />
			</output>
			<fault name="getUserDataFault">
				<soap:fault name="getUserDataFault" use="literal"/>
			</fault>
		</operation>

		<operation name="getOMDSPackageList">
			<soap:operation soapAction="urn:getOMDSPackageList" style="document" />
			<input name="getOMDSPackageListRequest">
				<soap:body use="literal" />
			</input>
			<output name="getOMDSPackageListResponse">
				<soap:body use="literal" />
			</output>
			<fault name="getOMDSPackageListFault">
				<soap:fault name="getOMDSPackageListFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="getOMDSPackage">
			<soap:operation soapAction="urn:getOMDSPackage" style="document" />
			<input name="getOMDSPackageRequest">
				<soap:body use="literal" />
			</input>
			<output name="getOMDSPackageResponse">
				<soap:body use="literal" />
			</output>
			<fault name="getOMDSPackageFault">
				<soap:fault name="getOMDSPackageFault" use="literal"/>
			</fault>
		</operation>
		
		<!-- Vertragsbezogene Dokumente ArcImage -->
		
		<operation name="getArcImageInfos">
			<soap:operation soapAction="urn:getArcImageInfos" style="document" />
			<input name="getArcImageInfosRequest">
				<soap:body use="literal" />
			</input>
			<output name="getArcImageInfosResponse">
				<soap:body use="literal" />
			</output>
			<fault name="getArcImageInfosFault">
				<soap:fault name="getArcImageInfosFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="getArcImage">
			<soap:operation soapAction="urn:getArcImage" style="document" />
			<input name="getArcImageRequest">
				<soap:body use="literal" />
			</input>
			<output name="getArcImageResponse">
				<soap:body use="literal" />
			</output>
			<fault name="getArcImageFault">
				<soap:fault name="getArcImageFault" use="literal"/>
			</fault>
		</operation>
		
		<!-- Deep-Links -->
		
		<operation name="deepLinkClaim">
			<soap:operation soapAction="urn:deepLinkClaim" style="document" />
			<input name="deepLinkClaimRequest">
				<soap:body use="literal" />
			</input>
			<output name="deepLinkClaimResponse">
				<soap:body use="literal" />
			</output>
			<fault name="deepLinkClaimFault">
				<soap:fault name="deepLinkClaimFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="deepLinkPartner">
			<soap:operation soapAction="urn:deepLinkPartner" style="document" />
			<input name="deepLinkPartnerRequest">
				<soap:body use="literal" />
			</input>
			<output name="deepLinkPartnerResponse">
				<soap:body use="literal" />
			</output>
			<fault name="deepLinkPartnerFault">
				<soap:fault name="deepLinkPartnerFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="deepLinkOffer">
			<soap:operation soapAction="urn:deepLinkOffer" style="document" />
			<input name="deepLinkOfferRequest">
				<soap:body use="literal" />
			</input>
			<output name="deepLinkOfferResponse">
				<soap:body use="literal" />
			</output>
			<fault name="deepLinkOfferFault">
				<soap:fault name="deepLinkOfferFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="deepLinkPolicy">
			<soap:operation soapAction="urn:deepLinkPolicy" style="document" />
			<input name="deepLinkPolicyRequest">
				<soap:body use="literal" />
			</input>
			<output name="deepLinkPolicyResponse">
				<soap:body use="literal" />
			</output>
			<fault name="deepLinkPolicyFault">
				<soap:fault name="deepLinkPolicyFault" use="literal"/>
			</fault>
		</operation>
	
		<!-- Schaden -->
		<operation name="createClaim">
			<soap:operation soapAction="urn:createClaim" style="document" />
			<input name="CreateClaimRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="CreateClaimResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="CreateClaimFault">
				<soap:fault name="CreateClaimFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="initiateClaim">
			<soap:operation soapAction="urn:initiateClaim" style="document" />
			<input name="InitiateClaimRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="InitiateClaimResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="InitiateClaimFault">
				<soap:fault name="InitiateClaimFault" use="literal"/>
			</fault>
		</operation>


		<operation name="addDocToClaim">
			<soap:operation soapAction="urn:addDocToClaim" style="document" />
			<input name="AddDocToClaimRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="AddDocToClaimResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="AddDocToClaimFault">
				<soap:fault name="AddDocToClaimFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="getClaim">
			<soap:operation soapAction="urn:getClaim" style="document" />
			<input name="GetClaimRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="GetClaimResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="GetClaimFault">
				<soap:fault name="GetClaimFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="getClaimLight">
			<soap:operation soapAction="urn:getClaimLight" style="document" />
			<input name="GetClaimLightRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="GetClaimLightResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="GetClaimLightFault">
				<soap:fault name="GetClaimLightFault" use="literal"/>
			</fault>
		</operation>
				
		<operation name="getNumberOfDocuments">
			<soap:operation soapAction="urn:getNumberOfDocuments" style="document" />
			<input name="GetNumberOfDocumentsRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="GetNumberOfDocumentsResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="GetNumberOfDocumentsFault">
				<soap:fault name="GetNumberOfDocumentsFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="getDocumentInfos">
			<soap:operation soapAction="urn:getDocumentInfos" style="document" />
			<input name="GetDocumentInfosRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="GetDocumentInfosResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="GetDocumentInfosFault">
				<soap:fault name="GetDocumentInfosFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="searchClaim">
			<soap:operation soapAction="urn:searchClaim" style="document" />
			<input name="SearchClaimRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="SearchClaimResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="SearchClaimFault">
				<soap:fault name="SearchClaimFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="getLossEventList">
			<soap:operation soapAction="urn:getLossEventList" style="document" />
			<input name="LossEventListRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="LossEventListResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="LossEventListFault">
				<soap:fault name="LossEventListFault" use="literal"/>
			</fault>
		</operation>
		
		<operation name="getChangedClaimsList">
			<soap:operation soapAction="urn:getChangedClaimsList" style="document" />
			<input name="ChangedClaimsListPort">
				<soap:body use="literal" />
			</input>
			<output name="ChangedClaimsListResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="ChangedClaimsListFault">
				<soap:fault name="ChangedClaimsListFault" use="literal"/>
			</fault>
		</operation>
	
		<operation name="declareEndpoint">
			<soap:operation soapAction="urn:declareEndpoint" style="document" />
			<input name="DeclareEndpointRequestPort">
				<soap:body use="literal" />
			</input>
			<output name="DeclareEndpointResponsePort">
				<soap:body use="literal" />
			</output>
			<fault name="DeclareEndpointFault">
				<soap:fault name="DeclareEndpointFault" use="literal"/>
			</fault>
		</operation>	
		

	</binding>
	
	<service name="omdsService">
		<port name="omdsServicePort" binding="os:omdsServicePortBinding">
			<soap:address location="http://localhost:80/omdsServicePort" />
		</port>
	</service>
	
	
	<wsp:Policy wsu:Id="OMDSUsernameTokenPolicy" xmlns:wsp="http://www.w3.org/ns/ws-policy" 
	  xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"
	  xmlns:sp="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
	  <wsp:ExactlyOne>
		  <wsp:All>
			<!-- Def HTTPS -->
			<sp:TransportBinding>
				<wsp:Policy>
					<sp:TransportToken>
						<wsp:Policy>
							<sp:HttpsToken RequireClientCertificate="false"/>
						</wsp:Policy>
					</sp:TransportToken>
				</wsp:Policy>
			</sp:TransportBinding>
			<!-- schreibe Username-Token mit Passwort-Digest (Hash) vor -->
			<sp:SupportingTokens>
			  <wsp:Policy>
				<sp:UsernameToken sp:IncludeToken="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy/IncludeToken/AlwaysToRecipient">
				  <wsp:Policy>
					<sp:HashPassword/>
				  </wsp:Policy>
				</sp:UsernameToken>
			  </wsp:Policy>
			</sp:SupportingTokens>

		  </wsp:All>
		</wsp:ExactlyOne>
	</wsp:Policy>
  

</definitions>
